Bug 973056 - libdb-6.2.32.NC is available
Summary: libdb-6.2.32.NC is available
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libdb   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Mužila
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Tracking, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-11 07:47 UTC by Upstream Release Monitoring
Modified: 2019-01-25 15:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1361971 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (14.49 KB, patch)
2016-04-15 00:13 UTC, Upstream Release Monitoring
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 878089 None None None Never

Description Upstream Release Monitoring 2013-06-11 07:47:09 UTC
Latest upstream release: 6.0.19.NC
Current version in Fedora Rawhide: 5.3.21
URL: http://www.oracle.com/technetwork/products/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2013-06-28 20:22:21 UTC
Latest upstream release: 6.0.20.NC
Current version/release in Fedora Rawhide: 5.3.21-12.fc20
URL: http://www.oracle.com/technetwork/products/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Michel Alexandre Salim 2013-07-04 12:31:58 UTC
Note the license change in 6.0.20 to AGPL -- it might be worth discussing this in legal@ first

Comment 3 Honza Horak 2013-08-15 18:42:38 UTC
License issues discussed at Debian list:
http://lists.debian.org/debian-legal/2013/07/msg00000.html

Comment 4 Account closed by the user 2013-08-16 13:01:32 UTC
(In reply to Michel Alexandre Salim from comment #2)

> Note the license change in 6.0.20 to AGPL [...]


6.0.20 and 6.0.19 bring the _same_ source code, only the LICENSE file was changed.


And 6.0.19 is under the old license, the same as 5.3.21.

Comment 5 Account closed by the user 2013-08-16 13:03:37 UTC
(In reply to Honza Horak from comment #3)
> License issues discussed at Debian list:
> http://lists.debian.org/debian-legal/2013/07/msg00000.html

Thread in Fedora legal:
https://lists.fedoraproject.org/pipermail/legal/2013-July/thread.html#2191

Comment 6 Honza Horak 2013-09-10 14:27:42 UTC
I haven't found any try to convince upstream to re-license back, so I tried:
https://forums.oracle.com/message/11183084#11183084

If there is a better place for requiring re-licensing, let's just put that request forward there. I know it's probably pointless, but I had to try before we start to port our tools to some other embedded databases.

Comment 7 Honza Horak 2013-11-06 11:53:55 UTC
Another interesting finding [1]:

On 10/29/2013 03:44 PM, Gervase Markham wrote:
> On 27/10/13 17:19, Ondřej Surý wrote:
>> Since BSD-4-clause is not compatible with GPL do I understand it
>> correctly that they basically made Berkeley DB 6.0.20 indistributable by
>> us? Or am I missing something about mixing BSD-4-clause and AGPLv3?
> 
> It depends on who the acknowledged party is. If it's the University of
> California, Berkeley, then see:
> 
> ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change
> 
> In other words, such UCB files are now effectively 3-clause BSD and so
> GPL-compatible.
> 
> Gerv

[1] http://lists.debian.org/debian-legal/2013/10/msg00031.html

Comment 8 Account closed by the user 2013-11-17 23:12:21 UTC
FYI, some projects [0] are beginning to migrate to LMDB [1] .
Since the LMDB API is similar to BerkeleyDB.

[0] http://symas.com/mdb/#projects

[1] http://symas.com/mdb/
    http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=tree;f=libraries/liblmdb

Comment 9 Account closed by the user 2013-11-25 21:42:48 UTC
repoquery --repoid rawhide-source --arch=src --whatrequires  libdb-devel --qf '%{base_package_name}' 

All of these depend on libdb:

389-ds-base
apr-util
clisp
cyrus-imapd
cyrus-sasl
dsniff
evolution-data-server
exim
hail
iproute
isync
jigdo
libetpan
libgda
libpinyin
libsolv
nmh
nss_updatedb
nvi
open-cobol
opendkim
openldap
openser
opensips
pam
pam_abl
pam_ccreds
perl
perl-BDB
perl-BerkeleyDB
perl-DB_File
perl-Digest-MD4
perl-Qt
perl-eperl
php
postfix
postler
python
python3-bsddb3
qpid-cpp
redland
rpm
ruby
sendmail
sks
spamprobe
squid
squidGuard
subversion
tabled
trustedqsl
webalizer
xemacs
zinnia

Comment 10 Upstream Release Monitoring 2014-03-08 18:19:37 UTC
Latest upstream release: 6.0.30.NC
Current version/release in Fedora Rawhide: 5.3.28-4.fc21
URL: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 11 Account closed by the user 2014-04-16 07:21:04 UTC
F21 System Wide Change: BerkeleyDB 6:

https://lists.fedoraproject.org/pipermail/devel/2014-April/197788.html
https://fedoraproject.org/wiki/Changes/BerkeleyDB_6

Comment 12 Honza Horak 2014-05-15 15:27:44 UTC
I've created a bug report in openSUSE bugzilla to get some feedback from them, hopefully they provide their POV as well.

Anyway, according to Ondrej Sury from debian, guys there seem to be not shipping libdb-6 if not required by some package for its unique features (if there are any). Just FYI.

Comment 13 Honza Horak 2014-05-15 15:30:18 UTC
(In reply to Honza Horak from comment #12)
> I've created a bug report in openSUSE bugzilla to get some feedback from
> them, hopefully they provide their POV as well.

https://bugzilla.novell.com/show_bug.cgi?id=878089

Comment 14 Honza Horak 2014-06-20 08:07:44 UTC
Debian started moving out of BDB (thread worth reading with some package-specific information):
https://lists.debian.org/debian-devel/2014/06/msg00328.html

Comment 15 Honza Horak 2014-06-20 08:13:21 UTC
A related article: https://lwn.net/Articles/557820/

Comment 16 Honza Horak 2014-06-20 08:28:37 UTC
This bug seems to be nice tracking bug for the future changes, so adding a KW and changing summary.

Comment 17 Upstream Release Monitoring 2014-06-21 18:02:43 UTC
Latest upstream release: 6.0.30.NC
Current version/release in Fedora Rawhide: 5.3.28-6.fc21
URL: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 18 Upstream Release Monitoring 2014-07-11 07:59:00 UTC
Latest upstream release: 6.1.19.NC
Current version/release in Fedora Rawhide: 5.3.28-6.fc21
URL: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 19 Upstream Release Monitoring 2015-02-26 00:22:40 UTC
Latest upstream release: 6.1.23.NC
Current version/release in rawhide: 5.3.28-10.fc23
URL: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 20 Upstream Release Monitoring 2015-02-26 00:25:47 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9077711

Comment 21 Account closed by the user 2015-04-21 14:21:26 UTC
(In reply to Xose Vazquez Perez from comment #4)
> (In reply to Michel Alexandre Salim from comment #2)
> 
> > Note the license change in 6.0.20 to AGPL [...]
> 
> 
> 6.0.20 and 6.0.19 bring the _same_ source code, only the LICENSE file was
> changed.
> 
> 
> And 6.0.19 is under the old license, the same as 5.3.21.

Last one with *sleepycat licence* (6.0.19) was deleted from the oracle web:
http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index-082944.html

For future reference, it can be downloaded from freebsd.org site and mirrors:
http://distcache.freebsd.org/ports-distfiles/bdb/db-6.0.19.tar.gz

Comment 22 Upstream Release Monitoring 2015-06-24 00:24:49 UTC
Latest upstream release: 6.1.26.NC
Current version/release in rawhide: 5.3.28-13.fc23
URL: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 23 Upstream Release Monitoring 2015-06-24 00:24:52 UTC
Failed to kick off scratch build.

[Errno 2] No such file or directory: '/var/tmp/thn-DkkY4K'

Comment 24 Upstream Release Monitoring 2016-04-15 00:12:01 UTC
Latest upstream release: 6.2.23.NC
Current version/release in rawhide: 5.3.28-14.fc24
URL: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1587/

Comment 25 Upstream Release Monitoring 2016-04-15 00:12:57 UTC
Patching or scratch build for libdb-5.3.28 failed.

Comment 26 Upstream Release Monitoring 2016-04-15 00:13:01 UTC
Created attachment 1147400 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 27 Upstream Release Monitoring 2016-04-15 00:13:04 UTC
Patches were not touched. All were applied properly

Comment 28 Upstream Release Monitoring 2017-04-19 00:13:05 UTC
Latest upstream release: 6.2.32.NC
Current version/release in rawhide: 5.3.28-17.fc26
URL: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1587/

Comment 29 Upstream Release Monitoring 2017-04-19 00:13:12 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.


Note You need to log in before you can comment on or make changes to this bug.